import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Box } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BoxChart = defineComponent({
  name: 'BoxChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Box
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
BoxChart.install = function (app) {
  app.component('BoxChart', BoxChart);
};
export default BoxChart;