import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Radar } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var RadarChart = defineComponent({
  name: 'RadarChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Radar
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
RadarChart.install = function (app) {
  app.component('RadarChart', RadarChart);
};
export default RadarChart;