import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue-demi';
import { Scatter } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var ScatterChart = defineComponent({
  name: 'ScatterChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": Scatter
      }, mergeAttrs(props, ctx.attrs)), null);
    };
  }
});

/* istanbul ignore next */
ScatterChart.install = function (app) {
  app.component('ScatterChart', ScatterChart);
};
export default ScatterChart;