import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import { defineComponent, h } from 'vue-demi';
import { Bar } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var BarChart = defineComponent({
  name: 'BarChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Bar
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
BarChart.install = function (app) {
  app.component('BarChart', BarChart);
};
export default BarChart;