import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import { defineComponent, h } from 'vue-demi';
import { Sankey } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var SankeyChart = defineComponent({
  name: 'SankeyChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Sankey
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
SankeyChart.install = function (app) {
  app.component('SankeyChart', SankeyChart);
};
export default SankeyChart;