import _mergeJSXProps from "@vue/babel-helper-vue-jsx-merge-props";
import { defineComponent, h } from 'vue-demi';
import { Treemap } from '@antv/g2plot';
import BaseChart from '../../components/base';
import { mergeAttrs } from '../../utils';
var TreemapChart = defineComponent({
  name: 'TreemapChart',
  setup: function setup(props, ctx) {
    return function () {
      return h(BaseChart, _mergeJSXProps([{
        "attrs": {
          "chart": Treemap
        }
      }, mergeAttrs(props, ctx.attrs)]));
    };
  }
});

/* istanbul ignore next */
TreemapChart.install = function (app) {
  app.component('TreemapChart', TreemapChart);
};
export default TreemapChart;